Bug 1014476 - Add example of "Changing to quickstars directory" to "Deploy an Application with Maven" chapter.
Add example of "Changing to quickstars directory" to "Deploy an Application w...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: DR5
: EAP 6.3.0
Assigned To: sgilda
Russell Dickenson
http://documentation-devel.engineerin...
: Documentation, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 03:40 EDT by Petr Kremensky
Modified: 2014-08-14 11:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 14874, Administration and Configuration Guide-6.2-1 Build Date: 02-10-2013 13:01:57 Topic ID: 5277-496538 [Latest]
Last Closed: 2014-06-28 11:43:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-02 03:40:35 EDT
Title: Deploy an Application with Maven

Describe the issue:
Add same example of navigating to qs examople to "9.5.2. Deploy an Application with Maven" as is in "9.5.3. Undeploy an Application with Maven".

Suggestions for improvement:
Procedure "Procedure 9.11. Deploy an application with Maven" says only "Run the Maven deploy command in a terminal session. Open a terminal session and navigate to the directory containing the quickstart examples.", but on next screen there is "Procedure 9.12. Undeploy an application with Maven" which contains also example of navigation to quickstarts. I'd add this example also to 9.11.

Additional information:
Example 9.x. Change into the helloworld application directory
[localhost]$ cd /path/to/EAP_Quickstarts/helloworld
Comment 1 sgilda 2014-02-12 16:31:32 EST
I'll take this one.
Comment 2 sgilda 2014-03-13 16:43:35 EDT
I also noticed the following:
* The WAR name needed to be changed to jboss-helloworld.war.
* I used the same variable used in the quickstarts for the path: QUICKSTART_HOME

I modified the following topics: 
Deploy an Application with Maven [5277, rev:621321]
Undeploy an Application with Maven [5278, rev: 621320]
Comment 4 Petr Kremensky 2014-03-24 06:01:30 EDT
Verified during EAP 6.3.0.DR5 testing cycle.

Note You need to log in before you can comment on or make changes to this bug.